Index: branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 9539)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 9539)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -251,5 +251,5 @@
         foreach (IAnalyzer analyzer in problem.Operators.OfType<IAnalyzer>()) {
           if (!IsSubclassOfGeneric(typeof(AlleleFrequencyAnalyzer<>), analyzer.GetType()) &&
-              !IsSubclassOfGeneric(typeof(PopulationDiversityAnalyzer<>), analyzer.GetType())) {
+              !(analyzer is SingleObjectivePopulationDiversityAnalyzer)) {
             IAnalyzer clone = analyzer.Clone() as IAnalyzer;
             foreach (IScopeTreeLookupParameter param in clone.Parameters.OfType<IScopeTreeLookupParameter>())
Index: branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs	(revision 9539)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Plugin.cs.frame
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Plugin.cs.frame	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Plugin.cs.frame	(revision 9539)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Algorithms.LocalSearch plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Algorithms.LocalSearch", "3.3.7.$WCREV$")]
+  [Plugin("HeuristicLab.Algorithms.LocalSearch", "3.3.8.$WCREV$")]
   [PluginFile("HeuristicLab.Algorithms.LocalSearch-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Properties/AssemblyInfo.cs.frame	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Algorithms.LocalSearch/3.3/Properties/AssemblyInfo.cs.frame	(revision 9539)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2013 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.8.$WCREV$")]
